Bug 1414478 - [RFE] [ODL] [IPv6] East/west routing support
Summary: [RFE] [ODL] [IPv6] East/west routing support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: opendaylight
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ga
: 12.0 (Pike)
Assignee: Sridhar Gaddam
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks: 1442136 1469017
TreeView+ depends on / blocked
 
Reported: 2017-01-18 15:43 UTC by Nir Yechiel
Modified: 2018-10-18 07:18 UTC (History)
7 users (show)

Fixed In Version: opendaylight-6.1.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2017-12-13 21:02:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1528949 0 high CLOSED [Netvirt][ODL] Test Neutron IPv6 tenant networking 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHEA-2017:3462 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Internal Links: 1528949

Description Nir Yechiel 2017-01-18 15:43:13 UTC
Description of problem:

This RFE tracks OpenDaylight support for IPv6 East-West communication for VMs belonging to different networks.

East/West routing needs to be supported by the controller when VMs connected to two different networks of the same project/tenant wants to communicate using L3.

Note: this RFE only covers the East/West use-case. External north/south is out of scope.

Comment 2 Sridhar Gaddam 2017-06-30 15:54:47 UTC
Following are the main patches in Netvirt that implement this feature.

Support for IPv6 East-West Routing - https://git.opendaylight.org/gerrit/#/c/47520/

Bug 7250: Add IPv6 integration tests - https://git.opendaylight.org/gerrit/#/c/48728/

Comment 8 errata-xmlrpc 2017-12-13 21:02:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.